{
  "name": "assemblr",
  "version": "1.0.0",
  "main": "AppEntry.ts",
  "scripts": {
    "start": "expo start --dev-client",
    "android": "expo run:android",
    "ios": "expo run:ios",
    "web": "expo start --web"
  },
  "resolutions": {
    "react": "19.0.0",
    "react-dom": "19.0.0",
    "react-native": "0.79.2",
    "@expo/config-plugins": "~10.0.0",
    "@expo/prebuild-config": "~9.0.0"
  },
  "dependencies": {
    "@expo/webpack-config": "^19.0.1",
    "@gorhom/bottom-sheet": "^4.6.4",
    "@react-native-community/datetimepicker": "8.3.0",
    "@react-native-picker/picker": "2.11.0",
    "@react-navigation/bottom-tabs": "^6.6.1",
    "@react-navigation/native": "^6.1.18",
    "@reduxjs/toolkit": "^2.3.0",
    "@shopify/flash-list": "1.7.6",
    "@types/lodash": "^4.17.17",
    "axios": "^1.7.7",
    "eas-cli": "^13.0.0",
    "expo": "^53.0.9",
    "expo-application": "~6.1.4",
    "expo-av": "~15.1.4",
    "expo-build-properties": "~0.14.6",
    "expo-constants": "~17.1.6",
    "expo-crypto": "~14.1.4",
    "expo-dev-client": "~5.1.8",
    "expo-file-system": "~18.1.10",
    "expo-intent-launcher": "~12.1.4",
    "expo-secure-store": "~14.2.3",
    "expo-splash-screen": "~0.30.8",
    "expo-status-bar": "~2.2.3",
    "lodash": "^4.17.21",
    "prop-types": "^15.8.1",
    "react": "19.0.0",
    "react-dom": "19.0.0",
    "react-native": "0.79.2",
    "react-native-animatable": "^1.4.0",
    "react-native-gesture-handler": "~2.24.0",
    "react-native-image-pan-zoom": "^2.1.12",
    "react-native-image-zoom-viewer": "^3.0.1",
    "react-native-modal": "^13.0.1",
    "react-native-paper": "^5.12.5",
    "react-native-progress": "^5.0.1",
    "react-native-radio-buttons-group": "^3.1.0",
    "react-native-reanimated": "~3.17.4",
    "react-native-responsive-dimension": "^1.0.0",
    "react-native-responsive-dimensions": "^3.1.1",
    "react-native-responsive-fontsize": "^0.5.1",
    "react-native-safe-area-context": "5.4.0",
    "react-native-screens": "~4.10.0",
    "react-native-svg": "15.11.2",
    "react-native-tcp-socket": "^6.3.0",
    "react-native-toast-message": "^2.2.1",
    "react-native-vector-icons": "^10.2.0",
    "react-native-web": "^0.20.0",
    "react-native-webview": "13.13.5",
    "react-native-zpl-code": "^0.2.3",
    "react-redux": "^9.1.2",
    "redux": "^5.0.1"
  },
  "devDependencies": {
    "@babel/core": "^7.26.0",
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.18.6",
    "@babel/plugin-proposal-optional-chaining": "^7.21.0",
    "@babel/plugin-transform-arrow-functions": "^7.24.7",
    "@babel/plugin-transform-shorthand-properties": "^7.24.7",
    "@babel/plugin-transform-template-literals": "^7.24.7",
    "@babel/preset-env": "^7.26.0",
    "@babel/runtime": "^7.25.7",
    "@react-native-community/cli": "^18.0.0",
    "@types/react": "~19.0.10",
    "babel-plugin-module-resolver": "^5.0.2",
    "typescript": "~5.8.3"
  },
  "expo": {
    "doctor": {
      "reactNativeDirectoryCheck": {
        "exclude": [
          "eas-cli",
          "prop-types",
          "react-native-vector-icons",
          "react-native-image-pan-zoom"
        ]
      }
    }
  },
  "private": true,
  "packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}
